Snowflake Eco schedules
Create a Snowflake eco schedule
POST
/snowflake-eco-schedulesCreates a new Snowflake eco schedule for the authenticated user's company.
Authorizations
AuthorizationstringheaderrequiredAPI key passed as a Bearer token in the Authorization header.
Request
curl --request POST \
--url https://api.artie.com/snowflake-eco-schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"settings": {
"days": [
"<string>"
],
"endTimeOfDay": "<string>",
"offPeakBufferRows": 123,
"offPeakFlushIntervalSeconds": 123,
"offPeakFlushSizeKb": 123,
"startTimeOfDay": "<string>",
"timezone": "<string>"
}
}'Body
application/json
environmentUUIDstring<uuid> | nullnamestringrequiredsettingsobjectrequiredShow child attributes
daysstring[]requiredendTimeOfDaystringrequiredoffPeakBufferRowsintegerrequiredoffPeakFlushIntervalSecondsintegerrequiredoffPeakFlushSizeKbintegerrequiredstartTimeOfDaystringrequiredtimezonestringrequired
Responses
200OKapplication/json
companystring<uuid>requiredcreatedAtstring<date-time>requiredenvironmentUUIDstring<uuid>requirednamestringrequiredsettingsobjectrequiredShow child attributes
daysstring[]requiredendTimeOfDaystringrequiredoffPeakBufferRowsintegerrequiredoffPeakFlushIntervalSecondsintegerrequiredoffPeakFlushSizeKbintegerrequiredstartTimeOfDaystringrequiredtimezonestringrequired
updatedAtstring<date-time>requireduuidstring<uuid>required
400Bad Request
500Internal Server Error
200 OK
{
"company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"settings": {
"days": [
"<string>"
],
"endTimeOfDay": "<string>",
"offPeakBufferRows": 123,
"offPeakFlushIntervalSeconds": 123,
"offPeakFlushSizeKb": 123,
"startTimeOfDay": "<string>",
"timezone": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}